- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- SubscriptionTier
- Try it!
Gets the subscription of the requesting user.
HTTP request
GET https://colaboratory.googleapis.com/v1beta/{name=subscription}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the subscription to retrieve. The only valid value is "subscription". |
Request body
The request body must be empty.
Response body
Colab user subscription information.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"name": string,
"tier": enum ( |
| Fields | |
|---|---|
name |
Identifier. Name of the subscription. This will always be "subscription". |
tier |
Required. User's Colab subscription tier. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/colaboratoryhttps://www.googleapis.com/auth/colaboratory.readonly
For more information, see the OAuth 2.0 Overview.
SubscriptionTier
User's Colab subscription tier.
| Enums | |
|---|---|
SUBSCRIPTION_TIER_UNSPECIFIED |
Default value. This value is unused. |
SUBSCRIPTION_TIER_FREE |
User is not subscribed to any paid tier. |
SUBSCRIPTION_TIER_PRO |
User is subscribed to Colab Pro. |
SUBSCRIPTION_TIER_PRO_PLUS |
User is subscribed to Colab Pro+. |